# nng_http_res_set_version(3http) Manual Page

## NAME

nng_http_res_set_version - set HTTP response protocol version

## SYNOPSIS

    #include <nng/nng.h>
    #include <nng/supplemental/http/http.h>

    int nng_http_res_set_version(nng_http_res *res, const char *version);

## DESCRIPTION

The `nng_http_res_set_version()` sets the HTTP protocol version associated with the response res to version. The version must be a string containing a valid HTTP protocol version, such as "HTTP/1.0". The default value is "HTTP/1.1".

A local copy of the version is made in the response res.

| No validation of the version supplied is performed.

| The library does not contain support for versions of HTTP other than "HTTP/1.0" and "HTTP/1.1". Specifying any other version may result in unspecified behavior.

## RETURN VALUES

This function returns 0 on success, and non-zero otherwise.

## ERRORS

`NNG_ENOMEM` | Insufficient memory to perform the operation.
`NNG_ENOTSUP` | No support for HTTP in the library.

## SEE ALSO

nng_http_res_alloc(3http), nng_http_req_get_version(3http), nng(7)